﻿using System.Windows;
using Infragistics.Controls.Menus.Primitives;

namespace Bill.Helpers
{
    /// <summary>
    /// Class allows XamDataTree panel to adjus size
    /// </summary>
    public class CustomNodesPanel : NodesPanel
    {
        protected override Size RenderNode(Infragistics.Controls.Menus.XamDataTreeNode node, double availableWidth)
        {
            base.RenderNode(node, availableWidth);

            if (node.Control != null)
            {

                if (!double.IsPositiveInfinity(availableWidth))
                {
                    node.Control.Width = availableWidth;
                }

                node.Control.Measure(new Size(availableWidth, double.PositiveInfinity));
            }

            return node.Control.DesiredSize;

        }
    }
}
